
// HSLatchDlg.h: 头文件
//

#pragma once


// CHSLatchDlg 对话框
class CHSLatchDlg : public CDialogEx
{
// 构造
public:
	CHSLatchDlg(CWnd* pParent = nullptr);	// 标准构造函数

// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_MY_DIALOG };
#endif

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV 支持


// 实现
protected:
	HICON m_hIcon;

	// 生成的消息映射函数
	virtual BOOL OnInitDialog();

	void FormInit();

	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	WORD cardConnectNo; //连接卡号

	CComboBox HSChan;
	CComboBox GeneralIO;
	CComboBox LatchAxis;
	int IoIndex;
	CEdit LatchResult;
	afx_msg void OnDestroy();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	CStatic InputState;
	afx_msg void OnBnClickedButton2();
	afx_msg void OnBnClickedButton3();
	afx_msg void OnBnClickedButton4();
	afx_msg void OnBnClickedButton1();
	afx_msg void OnBnClickedButton5();
	CStatic AxisGroupBox;
};
